using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.BlockedIPsManager.Repository;

namespace e_suite.Modules.BlockedIPsManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<BlockedIPsManagerRepository>().As<IBlockedIPsManagerRepository>()
            .InstancePerLifetimeScope();

        builder.RegisterType<BlockedIPsManager>().As<IBlockedIPsManager>().InstancePerLifetimeScope();
    }
}